Subject: Compost by Mail?

From: [email-masked] (Nancy C.)
Date: Fri, 31 Mar 1995 23:42:21 GMT

This may sound crazy, but I can't compost easily on my urban rooftop...
Any mail order sources for clean compost?  I may have to invade the suburbs,
staging midnight raids on unprotected compost piles (there's an image for you!)
Thanks for thinking about this.

Nancy C.